Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.init
Class EjbEntityDescriptor

    java.lang.Object
      org.jboss.seam.init.EjbDescriptor
          org.jboss.seam.init.EjbEntityDescriptor

    public class EjbEntityDescriptor

extends EjbDescriptor

Constructor Summary
`EjbEntityDescriptor()`

Method Summary
`String` | `getIdentifierFieldName()`
`String` | `getIdentifierPropertyName()`
`String` | `getPostLoadMethodName()`
`String` | `getPrePersistMethodName()`
`String` | `getPreRemoveMethodName()`
`String` | `getPreUpdateMethodName()`
`String` | `getVersionFieldName()`
`String` | `getVersionPropertyName()`
`boolean` | `isMetaDataComplete()`
`void` | `setIdentifierAttribute(String identifierAttributeName, String accessType)`
`void` | `setIdentifierFieldName(String identifierField)`
`void` | `setIdentifierPropertyName(String identifierProperty)`
`void` | `setMetaDataComplete(boolean metaDataComplete)`
`void` | `setPostLoadMethodName(String postLoadMethodName)`
`void` | `setPrePersistMethodName(String prePersistMethodName)`
`void` | `setPreRemoveMethodName(String preRemoveMethodName)`
`void` | `setPreUpdateMethodName(String preUpdateMethodName)`
`void` | `setVersionAttribute(String versionAttributeName, String accessType)`
`void` | `setVersionFieldName(String versionField)`
`void` | `setVersionPropertyName(String versionProperty)`

Methods inherited from class org.jboss.seam.init.EjbDescriptor
`getBeanType, getEjbClassName, getEjbName, setBeanType, setEjbClassName, setEjbName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbEntityDescriptor

    public EjbEntityDescriptor()

Method Detail

### getPreRemoveMethodName

    public String getPreRemoveMethodName()

### setPreRemoveMethodName

    public void setPreRemoveMethodName(String preRemoveMethodName)

### getPrePersistMethodName

    public String getPrePersistMethodName()

### setPrePersistMethodName

    public void setPrePersistMethodName(String prePersistMethodName)

### getPreUpdateMethodName

    public String getPreUpdateMethodName()

### setPreUpdateMethodName

    public void setPreUpdateMethodName(String preUpdateMethodName)

### getPostLoadMethodName

    public String getPostLoadMethodName()

### setPostLoadMethodName

    public void setPostLoadMethodName(String postLoadMethodName)

### getIdentifierPropertyName

    public String getIdentifierPropertyName()

### setIdentifierPropertyName

    public void setIdentifierPropertyName(String identifierProperty)

### getVersionPropertyName

    public String getVersionPropertyName()

### setVersionPropertyName

    public void setVersionPropertyName(String versionProperty)

### getIdentifierFieldName

    public String getIdentifierFieldName()

### setIdentifierFieldName

    public void setIdentifierFieldName(String identifierField)

### getVersionFieldName

    public String getVersionFieldName()

### setVersionFieldName

    public void setVersionFieldName(String versionField)

### setVersionAttribute

    public void setVersionAttribute(String versionAttributeName,
                                    String accessType)

### setIdentifierAttribute

    public void setIdentifierAttribute(String identifierAttributeName,
                                       String accessType)

### isMetaDataComplete

    public boolean isMetaDataComplete()

### setMetaDataComplete

    public void setMetaDataComplete(boolean metaDataComplete)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD